<?php
/**
*
* @package phpBB Extension - Kirk Site logo responsive
* @copyright (c) 2017 Kirk - http://reyno41.bplaced.net/phpbb
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace kirk\site_logo_responsive\acp;

class site_logo_responsive_module
{
public $u_action;
	public function main($id, $mode)
	{
		global $user, $cache, $request, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpbb_container, $phpbb_ext_manager, $phpEx;

		$this->root_path = $phpbb_root_path . 'ext/kirk/site_logo_responsive/';
		$this->user = $user;
		$this->cache = $cache;
		$this->template = $template;
		$this->config = $config;
		$this->request = $request;
		$this->phpbb_root_path = $phpbb_root_path;
		$this->phpbb_admin_path = $phpbb_admin_path;
		$this->php_ex = $phpEx;
		$this->phpbb_ext_manager = $phpbb_ext_manager;

		$user->add_lang_ext('kirk/site_logo_responsive', 'info_acp_site_logo_responsive');

		add_form_key('acp_site_logo_responsive');
		$error = '';

		switch ($mode)
		{

		// SITE LOGO RESPONSIVE SETTINGS

			case 'settings':

			$this->tpl_name = 'acp_site_logo_responsive_settings';
			$this->page_title = $user->lang['ACP_SITE_LOGO_RESPONSIVE_PAGE_TITLE'];

			$submit = $request->is_set_post('submit');
			if ($submit)
			{
				if (!check_form_key('acp_site_logo_responsive'))
				{
				trigger_error($user->lang('FORM_INVALID') . adm_back_link($this->u_action), E_USER_WARNING);
				}

				$config->set('responsive_site_description_position', $request->variable('responsive_site_description_position', ''));
				$config->set('site_logo_responsive_enable', $request->variable('site_logo_responsive_enable', ''));
				$config->set('search_box_position', $request->variable('search_box_position', ''));
				$config->set('header_search_box_position', $request->variable('header_search_box_position', ''));
				trigger_error($user->lang['SITE_LOGO_RESPONSIVE_UPDATE'] . adm_back_link($this->u_action));
			}

			$template->assign_vars(array(
				'RESPONSIVE_SITE_DESCRIPTION_POSITION'		=> (isset($config['responsive_site_description_position'])) ? $config['responsive_site_description_position'] : '',
				'SITE_LOGO_RESPONSIVE_ENABLE'				=> (!empty($config['site_logo_responsive_enable'])) ? true : false,
				'SITE_LOGO_RESPONSIVE_ENABLE'				=> ($this->config['site_logo_responsive_enable']) ? true : false, // Message
				'SEARCH_BOX_POSITION'						=> (isset($config['search_box_position'])) ? $config['search_box_position'] : '',
				'HEADER_SEARCH_BOX_POSITION'				=> (isset($config['header_search_box_position'])) ? $config['header_search_box_position'] : '',
				'SITE_LOGO_RESPONSIVE_VERSION'				=> $this->config['site_logo_responsive_version'],

				'U_ACTION'						=> $this->u_action,
			));
			break;
		}
	}
}