<?php
/**
*
* @package phpBB Extension - Kirk Site logo responsive
* @copyright (c) 2017 Kirk - http://reyno41.bplaced.net/phpbb
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace kirk\site_logo_responsive\event;

/**
* @ignore
*/
use Symfony\Component\DependencyInjection\Container;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;

/**
* Event listener
*/
class listener implements EventSubscriberInterface
{
	/* @var \phpbb\config\config */
	protected $config;

	/* @var \phpbb\template\template */
	protected $template;

	/**
	* Constructor
	*
	* @param \phpbb\config\config		$config
	* @param \phpbb\template			$template	Template object
	*/
	public function __construct(\phpbb\config\config $config, \phpbb\template\template $template)
	{
		$this->config 			= $config;
		$this->template 		= $template;
		$this->is_phpbb31		= phpbb_version_compare($config['version'], '3.1.0@dev', '>=') && phpbb_version_compare($config['version'], '3.2.0@dev', '<');
		$this->is_phpbb32		= phpbb_version_compare($config['version'], '3.2.0@dev', '>=') && phpbb_version_compare($config['version'], '3.3.0@dev', '<');
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.page_header'	=> 'add_page_header_link',
		);
	}

	public function add_page_header_link($event)
	{
		$this->template->assign_vars(array(
			'RESPONSIVE_SITE_DESCRIPTION_POSITION'		=> $this->config['responsive_site_description_position'],
			'SITE_LOGO_RESPONSIVE_ENABLE'				=> $this->config['site_logo_responsive_enable'],
			'SEARCH_BOX_POSITION'						=> $this->config['search_box_position'],
			'HEADER_SEARCH_BOX_POSITION'				=> $this->config['header_search_box_position'],
			'IS_PHPBB31'								=> $this->is_phpbb31,
			'IS_PHPBB32'								=> $this->is_phpbb32,
		));
	}
}
