<?php
/**
*
* @package phpBB Extension - Kirk Site logo responsive
* @copyright (c) 2017 Kirk - http://reyno41.bplaced.net/phpbb
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace kirk\site_logo_responsive\migrations;

class v_0_1_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['site_logo_responsive_version']) && version_compare($this->config['site_logo_responsive_version'], '0.1.0', '>=');
	}

	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v310\dev');
	}

	public function update_data()
	{
		return array(
			array('config.add', array('site_logo_responsive_version', '0.1.0')),
			array('config.add', array('responsive_site_description_enable', 1)),
			array('config.add', array('site_logo_responsive_enable', 1)),
			array('config.add', array('search_box_position', 1)),
			array('config.add', array('header_search_box_position', 5)),

			array('module.add', array(
				'acp',
				'ACP_CAT_DOT_MODS',
				'ACP_SITE_LOGO_RESPONSIVE'
			)),

			array('module.add', array(
				'acp',
				'ACP_SITE_LOGO_RESPONSIVE',
				array(
					'module_basename'	=> '\kirk\site_logo_responsive\acp\site_logo_responsive_module',
					'modes'				=> array('settings'),
				),
			)),
		);
	}
}